package com.om.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.om.entity.dto.AppBaseDTO;
import com.om.entity.dto.AppWxscDTO;
import com.om.entity.dto.AppWxscQueryPageDTO;
import com.om.entity.po.Wxsc;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.AppWxscQueryPageVO;
import com.om.utils.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author henry-ong
 * @since 2024-03-09
 */
public interface IWxscService extends IService<Wxsc> {

  Page<Wxsc> findManual(Page<Wxsc> objectPage, String code, String title);

    Result<AppWxscQueryPageVO> appGetPageList(AppWxscQueryPageDTO dto);

    Result<Wxsc> appGetById(AppWxscDTO dto);

    Result deleteById(Integer id);

    Result pushWxzl(Integer id);
}
